<?php

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

function purple_config()
{
  return array(
    'app_mode' => 'Xstream',
    'app_mode_universal' => '',
    'in_app_purchase' => in_app_purchase(),
    'ads' => ads(),
    'app_conf' => app_conf(),
    'app_dns' => app_dns(),
    'app_image' => app_image(),
    'about' => about(),
    'support' => support(),
    'version' => version(),
    'endpoint' => endpoint(),
    'api_key' => api_key(),
    'weather' => weather(),
    'language' => language(),
    'background' => background(),
    'themes' => themes(),
    'player' => player(),
    'private_menu' => private_menu(),
    'app_announce' => app_announce(),
    'maintenance_msg' => maintenance_msg(),
    'plugin_list' => plugin_list()
  );
}

function in_app_purchase()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_in_app_purchase;");
  $purple_in_app_purchase = $result->fetchArray();
  return array(
    "in_app_purchase_id" => $purple_in_app_purchase['in_app_purchase_id'],
    "lic_key" => $purple_in_app_purchase['lic_key'],
    "in_app_status" => $purple_in_app_purchase['in_app_status']
  );
}

function ads()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_ads;");
  $purple_ads = $result->fetchArray();
  return array(
    "ads_app_id" => $purple_ads['ads_app_id'],
    "ads_banner" => $purple_ads['ads_banner'],
    "ads_intrestial" => $purple_ads['ads_intrestial'],
    "ads_rewarded" => $purple_ads['ads_rewarded'],
    "ads_native" => $purple_ads['ads_native'],
    "ads_intrestial_time_delay" => $purple_ads['ads_intrestial_time_delay'],
    "ads_ios_status" => $purple_ads['ads_ios_status'],
    "ads_status" => $purple_ads['ads_status']
  );
}

function app_conf()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_app_conf;");
  $purple_app_conf = $result->fetchArray();
  $sqlite3 = new SQLite3('../.cockpit-0001.db');
  $result = $sqlite3->query("SELECT * FROM tvsg_settings;");
  $tvsg_settings = $result->fetchArray();

  $sport_guide = 'https://www.tvsportguide.com/widget/' . $tvsg_settings['widget_id'] . '/?heading=' . $tvsg_settings['heading'] . '&border_color=custom&autoscroll=' . $tvsg_settings['auto_scroll'] . '&custom_colors=' . substr($tvsg_settings['border_color'], 1) . ',' . substr($tvsg_settings['background_color'], 1) . ',' . substr($tvsg_settings['text_color'], 1);
  $sport_guide = str_replace(" ", "%20", $sport_guide);
  return array(
    'allow_4k' => 'false',
    'content_4k' => $purple_app_conf['content_4k'],
    'domain_url' => $purple_app_conf['domain_url'],
    'login_url' => $purple_app_conf['login_url'],
    'package_name' => $purple_app_conf['package_name'],
    'privacy_policy' => $purple_app_conf['privacy_policy'],
    'private_access' => $purple_app_conf['private_access'],
    'private_video_url' => $purple_app_conf['private_video_url'],
    'startup_msg' => $purple_app_conf['startup_msg'],
    'vpn' => $purple_app_conf['vpn'],
    'vpn_sub_splash' => $purple_app_conf['vpn_sub_splash'],
    'vpn_login_screen' => $purple_app_conf['vpn_login_screen'],
    'allow_cast' => $purple_app_conf['allow_cast'],
    'remote_support' => $purple_app_conf['remote_support'],
    'setting_option' => $purple_app_conf['setting_option'],
    'wifi_option' => $purple_app_conf['wifi_option'],
    'sub_splash' => $purple_app_conf['sub_splash'],
    'clear_catch' => $purple_app_conf['clear_catch'],
    'app_list_status' => $purple_app_conf['app_list_status'],
    'private_menu' => $purple_app_conf['private_menu'],
    'epg_timeshift' => $purple_app_conf['epg_timeshift'],
    'epg_catchup' => $purple_app_conf['epg_catchup'],
    'catchup' => $purple_app_conf['catchup'],
    'user_logging' => 'false',
    'epg_roku' => $purple_app_conf['epg_roku'],
    'dashbord_ticker' => $purple_app_conf['dashbord_ticker'],
    'login_ticker' => $purple_app_conf['login_ticker'],
    'sub_profile' => $purple_app_conf['sub_profile'],
    'set_default_play' => $purple_app_conf['set_default_play'],
    'set_recent_play' => $purple_app_conf['set_recent_play'],
    'remind_me' => $purple_app_conf['remind_me'],
    'cloud_remind_me' => $purple_app_conf['cloud_remind_me'],
    'cloud_remind_me_url' => $purple_app_conf['cloud_remind_me_url'],
    'cloud_recording' => $purple_app_conf['cloud_recording'],
    'cloud_recent_fav' => $purple_app_conf['cloud_recent_fav'],
    'cloud_recent_fav_url' => $purple_app_conf['cloud_recent_fav_url'],
    'multi_recording' => $purple_app_conf['multi_recording'],
    'recording' => $purple_app_conf['recording'],
    'app_external_plugin' => $purple_app_conf['app_external_plugin'],
    'chat_url' => $purple_app_conf['chat_url'],
    'startup_plugin_install' => $purple_app_conf['startup_plugin_install'],
    'startup_archive_category' => $purple_app_conf['startup_archive_category'],
    'header_key' => $purple_app_conf['header_key'],
    'header_value' => $purple_app_conf['header_value'],
    'smtp_server' => $purple_app_conf['smtp_server'],
    'smtp_port' => $purple_app_conf['smtp_port'],
    'smtp_username' => $purple_app_conf['smtp_username'],
    'smtp_password' => $purple_app_conf['smtp_password'],
    'smtp_from_email' => $purple_app_conf['smtp_from_email'],
    'channel_reporting' => $purple_app_conf['channel_reporting'],
    'channel_reporting_to_email' => $purple_app_conf['channel_reporting_to_email'],
    'movie_show_reqest' => $purple_app_conf['movie_show_reqest'],
    'movie_show_reqest_to_email' => $purple_app_conf['movie_show_reqest_to_email'],
    'channel_report_email_subject' => $purple_app_conf['channel_report_email_subject'],
    'movie_shows_reqest_email_subject' => $purple_app_conf['movie_shows_reqest_email_subject'],
    'p2p' => $purple_app_conf['p2p'],
    'p2p_signal' => $purple_app_conf['p2p_signal'],
    'p2p_setting_default' => $purple_app_conf['p2p_setting_default'],
    'intro_video' => $purple_app_conf['intro_video'],
    'theme_change_allow' => $purple_app_conf['theme_change_allow'],
    'theme_change_layout' => $purple_app_conf['theme_change_layout'],
    'report_issue_from_email' => $purple_app_conf['report_issue_from_email'],
    'report_issue_to_email' => $purple_app_conf['report_issue_to_email'],
    'report_issue' => $purple_app_conf['report_issue'],
    'reporting_api' => $purple_app_conf['reporting_api'],
    'mqtt_server' => $purple_app_conf['mqtt_server'],
    'mqtt_endpoint' => $purple_app_conf['mqtt_endpoint'],
    'auto_login' => $purple_app_conf['auto_login'],
    'multi_profile' => $purple_app_conf['multi_profile'],
    'server_selection' => $purple_app_conf['server_selection'],
    'app_settings' => $purple_app_conf['app_settings'],
    'app_settings_passcode' => $purple_app_conf['app_settings_passcode'],
    'app_general_settings' => $purple_app_conf['app_general_settings'],
    'multi_profile_auto_login' => $purple_app_conf['multi_profile_auto_login'],
    'sub_user_profile' => $purple_app_conf['sub_user_profile'],
    'sub_user_profile_allow' => $purple_app_conf['sub_user_profile_allow'],
    'sub_user_profile_default' => $purple_app_conf['sub_user_profile_default'],
    'sub_user_profile_setting' => $purple_app_conf['sub_user_profile_setting'],
    'sub_user_profile_select_on_start' => $purple_app_conf['sub_user_profile_select_on_start'],
    'stream_format' => $purple_app_conf['stream_format'],
    'startup_auto_boot' => $purple_app_conf['startup_auto_boot'],
    'startup_device_select' => $purple_app_conf['startup_device_select'],
    'manual_device_select' => $purple_app_conf['manual_device_select'],
    'default_device_select' => ['detect' => true, 'device' => 'TV'], //$purple_app_conf['default_device_select'],
    'one_signal_app_id' => $purple_app_conf['one_signal_app_id'],
    'one_signal_google_project_no' => $purple_app_conf['one_signal_google_project_no'],
    'sport_guide' => $sport_guide
  );
}

class dns
{
  public $dns_title;
  public $url;
  public $live_dns;
  public $epg_dns;
  public $movie_dns;
  public $series_dns;
  public $catchup_dns;
  function __construct($dns_title, $url, $live_dns, $epg_dns, $movie_dns, $series_dns, $catchup_dns)
  {
    $this->dns_title = $dns_title;
    $this->url = $url;
    $this->live_dns = $live_dns;
    $this->epg_dns = $epg_dns;
    $this->movie_dns = $movie_dns;
    $this->series_dns = $series_dns;
    $this->catchup_dns = $catchup_dns;
  }
}

function app_dns()
{
  $dns_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_app_dns;");
  while ($row = $result->fetchArray()) {
    array_push($dns_array, new dns($row['dns_title'], $row['url'], $row['live_dns'], $row['epg_dns'], $row['movie_dns'], $row['series_dns'], $row['catchup_dns']));
  }
  return $dns_array;
}

function app_image()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_app_image;");
  $purple_image = $result->fetchArray();
  return array(
    'app_img' => $purple_image['app_image'],
    'app_video' => $purple_image['app_video'],
    'app_logo' => $purple_image['app_logo'],
    'app_mobile_icon' => $purple_image['app_mobile_icon'],
    'app_tv_banner' => $purple_image['app_tv_banner'],
    'splash_image' => $purple_image['splash_image'],
    'back_image' => $purple_image['back_image']
  );
}

function about()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_about;");
  $purple_about = $result->fetchArray();
  return array(
    'description' => $purple_about['description'],
    'developed' => $purple_about['developed'],
    'name' => $purple_about['name'],
    'skype' => $purple_about['skype'],
    'telegram' => $purple_about['telegram'],
    'whatsapp' => $purple_about['whatsapp']
  );
}

function support()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_support;");
  $purple_support = $result->fetchArray();
  return array(
    'email' => $purple_support['email'],
    'web' => $purple_support['web'],
    'skype' => $purple_support['skype'],
    'telegram' => $purple_support['telegram'],
    'whatsapp' => $purple_support['whatsapp']
  );
}

class version_changelog {
  public $changelog_title;
  public $changelog_description;
  function __construct($changelog_title, $changelog_description)
  {
    $this->changelog_title = $changelog_title;
    $this->changelog_description = $changelog_description;
  }
}

function version()
{
  $version_changelog_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_version_changelog;");
  while ($row = $result->fetchArray()) {
    array_push($version_changelog_array, new version_changelog($row['changelog_title'], $row['changelog_description']));
  }
  $result = $db->query("SELECT * FROM purple_version;");
  $purple_version = $result->fetchArray();
  return array(
    'version_check' => $purple_version['version_check'],
    'version_code' => $purple_version['version_code'],
    'version_name' => $purple_version['version_name'],
    'version_update_msg' => $purple_version['version_update_msg'],
    'version_download_url' => $purple_version['version_download_url'],
    'version_force_update' => $purple_version['version_force_update'],
    'version_download_url_apk' => $purple_version['version_download_url_apk'],
    'version_changelog' => $version_changelog_array
  );
}

/** TODO: Clone these functions.
    "endpoint": {
      "m3u_parse": "http://vithani.org/api/m3uparse/m3u.php?url=",
      "login": "http://api.purplesmarttv.com/login.php",
      "register": "http://api.purplesmarttv.com/register.php",
      "list_get": "http://api.purplesmarttv.com/getList.php",
      "list_m3u_update": "http://api.purplesmarttv.com/m3u.php",
      "deleteurl": "http://api.purplesmarttv.com/deleteurl.php",
      "list_update_epg": "http://api.purplesmarttv.com/updateepg.php",
      "list_xstream_update": "https://api.purplesmarttv.com/xstream.php"
    }
 */

function endpoint()
{
  $here_be_pirates = (isset($_SERVER['HTTPS']) && ($_SERVER['HTTPS'] !== 'off') ? 'https' : 'http') . '://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . '/';

  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_endpoint;");
  $purple_endpoint = $result->fetchArray();
  return array(
    'm3u_parse' => 'http://vithani.org/api/m3uparse/m3u.php?url=',
    'login' => 'http://api.purplesmarttv.com/login.php',
    'register' => 'http://api.purplesmarttv.com/register.php',
    'list_get' => 'http://api.purplesmarttv.com/getList.php',
    'list_m3u_update' => 'http://api.purplesmarttv.com/m3u.php',
    'deleteurl' => 'http://api.purplesmarttv.com/deleteurl.php',
    'epg_endpoint' => 'http://api.purplesmarttv.com/updateepg.php',
    'list_xstream_update' => 'https://api.purplesmarttv.com/xstream.php'
  );
}

function api_key()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_api_key;");
  $purple_api_key = $result->fetchArray();
  return array(
    'imdb_api' => $purple_api_key['imdb_api'],
    'g_api_key' => $purple_api_key['g_api_key'],
    'image_imdb' => $purple_api_key['image_imdb'],
    'trakt_api_key' => $purple_api_key['trakt_api_key'],
    'weather_api' => $purple_api_key['weather_api'],
    'ip_stack_key' => $purple_api_key['ip_stack_key'],
    'check_ip' => $purple_api_key['check_ip'],
    'vpn_url' => $purple_api_key['vpn_url'],
    'vpn_username' => $purple_api_key['vpn_username'],
    'vpn_password' => $purple_api_key['vpn_password']
  );
}

function weather()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_weather;");
  $purple_weather = $result->fetchArray();
  return array(
    'city_name' => $purple_weather['city_name'],
    'city_id' => $purple_weather['city_id']
  );
}

class background_url {
  public $url;
  function __construct($url) {
    $this->url = $url;
  }
}

function background()
{
  $background_url_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_background_url;");
  while ($purple_background_url = $result->fetchArray()) {
    $background_url_array[] = new background_url($purple_background_url['url']);
  }
  $result = $db->query("SELECT * FROM purple_background;");
  $purple_background = $result->fetchArray();
  return array(
    'back_remote_change' => $purple_background['background_remote_change'],
    'background_auto_change' => $purple_background['background_auto_change'],
    'background_mannual_change' => $purple_background['background_mannual_change'],
    'background_url' => $background_url_array,
    'back_orverlay_remote_change' => $purple_background['back_overlay_remote_change'],
    'background_orverlay_color_code' => $purple_background['background_overlay_color_code']
  );
}

function language()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_language;");
  $purple_language = $result->fetchArray();
  return array(
    'defult_language' => $purple_language['default_language'],
    'firstime_select_language' => $purple_language['firstime_select_language']
  );
}

function themes()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_themes;");
  $purple_themes = $result->fetchArray();
  return array(
    'theme_defult_layout' => $purple_themes['theme_default_layout'],
    'theme_color_1' => $purple_themes['theme_color_1'],
    'theme_color_2' => $purple_themes['theme_color_2'],
    'theme_color_3' => $purple_themes['theme_color_3'],
    'roku_color_primary' => $purple_themes['roku_color_primary'],
    'roku_color_secondary' => $purple_themes['roku_color_secondary'],
    'roku_button_focus' => $purple_themes['roku_button_focus'],
    'roku_button_unfocus' => $purple_themes['roku_button_unfocus'],
    'theme_change' => $purple_themes['theme_change'],
    'roku_background_overlay' => $purple_themes['roku_background_overlay']
  );
}

function player()
{
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_player;");
  $purple_player = $result->fetchArray();
  return array(
    'live_tv' => $purple_player['live_tv'],
    'vod' => $purple_player['vod'],
    'series' => $purple_player['series'],
    'catch_up' => $purple_player['catchup']
  );
}

class private_menu {
  public $addtion_app_icon;
  public $addtion_app_name;
  public $addtion_app_pkg;
  public $addtion_app_url;
  public $addtion_app_status;
  function __construct($addtion_app_icon, $addtion_app_name, $addtion_app_pkg, $addtion_app_url, $addtion_app_status) {
    $this->addtion_app_icon = $addtion_app_icon;
    $this->addtion_app_name = $addtion_app_name;
    $this->addtion_app_pkg = $addtion_app_pkg;
    $this->addtion_app_url = $addtion_app_url;
    $this->addtion_app_status = $addtion_app_status;
  }
}

function private_menu()
{
  $private_menu_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_private_menu;");
  while ($purple_private_menu = $result->fetchArray()) {
    $private_menu_array[] = new private_menu($purple_private_menu['addtion_app_icon'], $purple_private_menu['addtion_app_name'], $purple_private_menu['addtion_app_pkg'], $purple_private_menu['addtion_app_url'], $purple_private_menu['addtion_app_status']);
  }
  return $private_menu_array;
}

class app_announce {
  public $title;
  public $short_description;
  public $image;
  public $created_at;
  function __construct($title, $short_description, $image, $created_at) {
    $this->title = $title;
    $this->short_description = $short_description;
    $this->image = $image;
    $this->created_at = $created_at;
  }
}

function app_announce()
{
  $app_announce_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_app_announce;");
  while ($purple_app_announce = $result->fetchArray()) {
    $app_announce_array[] = new app_announce($purple_app_announce['title'], $purple_app_announce['short_description'], $purple_app_announce['image'], $purple_app_announce['created_at']);
  }
  return $app_announce_array;
}

class maintenance_msg {
  public $title;
  public $short_description;
  public $image;
  public $created_at;
  function __construct($title, $short_description, $image, $created_at) {
    $this->title = $title;
    $this->short_description = $short_description;
    $this->image = $image;
    $this->created_at = $created_at;
  }
}

function maintenance_msg()
{
  $maintenance_msg_array = array();
  $db = new SQLite3('../../api/.cockpit-0001.db');
  $result = $db->query("SELECT * FROM purple_maintenance_msg;");
  while ($purple_maintenance_msg = $result->fetchArray()) {
    $maintenance_msg_array[] = new maintenance_msg($purple_maintenance_msg['title'], $purple_maintenance_msg['short_description'], $purple_maintenance_msg['image'], $purple_maintenance_msg['created_at']);
  }
  return $maintenance_msg_array;
}

class Plugin
{
  public $name = "";
  public $version = "";
  public $playstore_url = "";
  public $apk_url = "";
  public $status = "";
  public $pkg_name = "";

  function __construct($name, $version, $playstore_url, $apk_url, $status, $pkg_name)
  {
    $this->name = $name;
    $this->version = $version;
    $this->playstore_url = $playstore_url;
    $this->apk_url = $apk_url;
    $this->status = $status;
    $this->pkg_name = $pkg_name;
  }
}

function plugin_list()
{
  $plugins = array();
  array_push($plugins, new Plugin("Timeshift Plugin", 1, "https://play.google.com/store/apps/details?id=com.purple.timeshift.plugin", "", true, "com.purple.timeshift.plugin"));
  array_push($plugins, new Plugin("Recording Plugin", 1, "https://play.google.com/store/apps/details?id=com.purple.recording.plugin", "", true, "com.purple.recording.plugin"));

  return $plugins;
}

$json = json_encode(purple_config());

for ($i = 0;$i < 4;$i++)
{
    $json = base64_encode($json);
}

echo $json;
