<?php

echo json_encode(ads());

function ads() {
    return array(
        'ads_status' => 'true',
        'ads_v' => ads_v(),
        'ads_h' => ads_h(),
        'delay_range' => '10-60',
        'ads_vast' => ads_vast()
    );
}

function ads_v() {
    return array(
        'Full' => 'true',
        'Xstream' => 'false',
        'CodeMode' => 'false'
    );
}

function ads_h() {
    return array(
        'Full' => 'false',
        'Xstream' => 'true',
        'CodeMode' => 'false'
    );
}

function ads_vast(){
    return array(
        new ads_vast(1, 1, 'true', 1, 'Bidscube', 'https://d.bcc-ssp.com/?c=v&m=xml&id=1769', 1, vast_data('', '', '1920', '1080', '#', '#', '#', 'com.purple.iptv.player', 'Purple TV', '#', '', 'HTTP/1.1', '#', '#', '#', 'No')),
        new ads_vast(2, 2, 'true', 1, 'Bidscube', 'https://d.bcc-ssp.com/?c=v&m=xml&id=1770', 1, vast_data('', '', '1920', '1080', '#', '#', '#', 'com.purple.iptv.player', 'Purple TV', '#', '', 'HTTP/1.1', '#', '#', '#', 'No')),
        new ads_vast(3, 3, 'true', 1, 'Bidscube', 'https://d.bcc-ssp.com/?c=v&m=xml&id=1771', 1, vast_data('', '', '1920', '1080', '#', '#', '#', 'com.purple.iptv.player', 'Purple TV', '#', '', 'HTTP/1.1', '#', '#', '#', 'No')),
        new ads_vast(4, 4, 'true', 1, 'Vlogbox', 'https://tvp.tv/tvp/request?account_id=AA18&placement_id=AA18S2001001', 1, vast_data('', '', '1920', '1080', '#', '#', '#', 'com.purple.iptv.player', 'Purple TV', '#', '', 'HTTP/1.1', '#', '#', '#', 'No')),
        new ads_vast(5, 5, 'true', 1, 'Vlogbox', 'https://tvp.tv/tvp/request?account_id=AA18&placement_id=AA18S2001003', 1, vast_data('', '', '1920', '1080', '#', '#', '#', 'com.purple.iptv.player', 'Purple TV', '#', '', 'HTTP/1.1', '#', '#', '#', 'No'))
    );
}

function vast_data($description, $url, $width, $hight, $ip, $isp, $app_user_agent, $app_bundle, $app_name, $app_store_url, $app_id, $consent, $device_os, $device_model, $device_id, $lmt){
    return array(
        'description' => $description,
        'url' => $url,
        'width' => $width,
        'hight' => $hight,
        'ip' => $ip,
        'isp' => $isp,
        'app_user_agent' => $app_user_agent,
        'app_bundle' => $app_bundle,
        'app_name' => $app_name,
        'app_store_url' => $app_store_url,
        'app_id' => $app_id,
        'consent' => $consent,
        'device_os' => $device_os,
        'device_model' => $device_model,
        'device_id' => $device_id,
        'lmt' => $lmt
    );
}

class ads_vast {
    public $vast_id;
    public $vast_priority;
    public $vast_status;
    public $vast_max_retry;
    public $vast_url;
    public $vast_delay;
    public $vast_type;
    public $vast_data;
    function __construct($vast_id, $vast_priority, $vast_status, $vast_max_retry, $vast_url, $vast_delay, $vast_type, $vast_data) {
        $this->vast_id = $vast_id;
        $this->vast_priority = $vast_priority;
        $this->vast_status = $vast_status;
        $this->vast_max_retry = $vast_max_retry;
        $this->vast_url = $vast_url;
        $this->vast_delay = $vast_delay;
        $this->vast_type = $vast_type;
        $this->vast_data = $vast_data;
    }
}