<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['aboutUs'])) {
    $sql = 'UPDATE purple_about SET ';
    $sql .= 'name = "' . $_POST['name'] . '", ';
    $sql .= 'description = "' . $_POST['description'] . '", ';
    $sql .= 'developed = "' . $_POST['developed'] . '", ';
    $sql .= 'skype = "' . $_POST['skype'] . '", ';
    $sql .= 'telegram = "' . $_POST['telegram'] . '", ';
    $sql .= 'whatsapp = "' . $_POST['whatsapp'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_aboutus.php');
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">About Us</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">About Us</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="aboutUs">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="name">App Name</label>
                                                                            <input type="text" id="name" name="name" class="form-control" value="<?php echo $purple_about_data['name']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="description">Description</label>
                                                                            <input type="text" id="description" name="description" class="form-control" value="<?php echo $purple_about_data['description']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="developed">Developed By</label>
                                                                            <input type="text" id="developed" name="developed" class="form-control" value="<?php echo $purple_about_data['developed']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="skype">Skype ID</label>
                                                                            <input type="text" id="skype" name="skype" class="form-control" value="<?php echo $purple_about_data['skype']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="telegram">Telegram No</label>
                                                                            <input type="text" id="telegram" name="telegram" class="form-control" value="<?php echo $purple_about_data['telegram']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="whatsapp">Whatsapp No</label>
                                                                            <input type="text" id="whatsapp" name="whatsapp" class="form-control" value="<?php echo $purple_about_data['whatsapp']; ?>"/>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="aboutUs" type="submit">Update</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>