<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['app_app_logo'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'app_logo = "' . $_POST['app_logo'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_app_tv_banner'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'app_tv_banner = "' . $_POST['app_tv_banner'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_app_mobile_icon'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'app_mobile_icon = "' . $_POST['app_mobile_icon'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_back_image'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'back_image = "' . $_POST['back_image'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_splash_image'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'splash_image = "' . $_POST['splash_image'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_remote_image'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'app_image = "' . (isset($_POST['app_image']) ? 'true' : 'false') . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

if (isset($_POST['app_video_url'])) {
    $sql = 'UPDATE purple_app_image SET ';
    $sql .= 'app_video = "' . $_POST['app_video'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Image</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="card">
                                                        <div class="card-body">
                                                            <h5 class="card-title">Image</h5>
                                                            <hr class="mt-0" />
                                                            <div class="row">
                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <img class="card-img-top" src="<?php echo $purple_app_image_data['app_logo']; ?>" id="app_logo" />
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Wide Logo</h5>
                                                                            <p class="card-text">741 x 147 White + Transparent</p>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <input type="text" name="app_logo" class="form-control" id="app_logo" value="<?php echo $purple_app_image_data['app_logo']; ?>" />
                                                                                </div>
                                                                                <div class="text-center mt-4">
                                                                                    <button type="submit" name="app_app_logo" class="btn btn-primary">
                                                                                        Update
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <img class="card-img-top" src="<?php echo $purple_app_image_data['app_tv_banner']; ?>" id="app_tv_banner" />
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">TV Banner Image</h5>
                                                                            <p class="card-text">640 x 360</p>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <input type="text" name="app_tv_banner" class="form-control" id="app_tv_banner" value="<?php echo $purple_app_image_data['app_tv_banner']; ?>" />
                                                                                </div>
                                                                                <div class="text-center mt-4">
                                                                                    <button type="submit" name="app_app_tv_banner" class="btn btn-primary">
                                                                                        Update
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <img class="card-img-top" src="<?php echo $purple_app_image_data['app_mobile_icon']; ?>" id="app_mobile_icon" />
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Mobile Icon Image</h5>
                                                                            <p class="card-text">512 x 512</p>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <input type="text" name="app_mobile_icon" class="form-control" id="app_mobile_icon" value="<?php echo $purple_app_image_data['app_mobile_icon']; ?>" />
                                                                                </div>
                                                                                <div class="text-center mt-4">
                                                                                    <button type="submit" name="app_app_mobile_icon" class="btn btn-primary">
                                                                                        Update
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <img class="card-img-top" src="<?php echo $purple_app_image_data['back_image']; ?>" id="back_image" />
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Background</h5>
                                                                            <p class="card-text">1280 x 720</p>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <input type="text" name="back_image" class="form-control" id="back_image" value="<?php echo $purple_app_image_data['back_image']; ?>" />
                                                                                </div>
                                                                                <div class="text-center mt-4">
                                                                                    <button type="submit" name="app_back_image" class="btn btn-primary">
                                                                                        Update
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <img class="card-img-top" src="<?php echo $purple_app_image_data['splash_image']; ?>" id="splash_image" />
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Splash Screen</h5>
                                                                            <p class="card-text">1280 x 720</p>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <input type="text" name="splash_image" class="form-control" id="splash_image" value="<?php echo $purple_app_image_data['splash_image']; ?>" />
                                                                                </div>
                                                                                <div class="text-center mt-4">
                                                                                    <button type="submit" name="app_splash_image" class="btn btn-primary">
                                                                                        Update
                                                                                    </button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-12 col-md-4">
                                                                    <div class="card">
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Remote Image</h5>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <div class="d-flex-between">
                                                                                        <label class="mb-0">Remote Image</label>
                                                                                        <div class="square-switch float-right">
                                                                                            <input type="checkbox" name="app_image" id="app_image" switch="bool" <?php echo $purple_app_image_data['app_image'] == 'true' ? 'checked' : '' ?> />
                                                                                            <label for="app_image" data-on-label="Yes" data-off-label="No"></label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <hr class="mt-0" />
                                                                                <button type="submit" name="app_remote_image" class="btn btn-primary">
                                                                                    Update
                                                                                </button>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                    <div class="card">
                                                                        <div class="card-body">
                                                                            <h5 class="card-title">App Video URL</h5>
                                                                            <form method="POST">
                                                                                <div class="form-group">
                                                                                    <div class="d-flex-between">
                                                                                        <label class="mb-0">Video URL</label>
                                                                                        <input type="text" id="app_video" name="app_video" class="form-control" value="<?php echo $purple_app_image_data['app_video']; ?>" />
                                                                                    </div>
                                                                                </div>
                                                                                <hr class="mt-0" />
                                                                                <button type="submit" name="app_video_url" class="btn btn-primary">
                                                                                    Update
                                                                                </button>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                        </div>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>