<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['notificationSettings'])) {
    $sql = 'UPDATE purple_app_conf SET ';
    $sql .= 'one_signal_app_id = "' . $_POST['one_signal_app_id'] . '", ';
    $sql .= 'one_signal_rest_key = "' . $_POST['one_signal_rest_key'] . '", ';
    $sql .= 'one_signal_google_project_no = "' . $_POST['one_signal_google_project_no'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_image.php');
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Notifications</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">

                                                    <!-- <div class="col-12 col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Send Notification</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="notificationForm">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="title">Title *</label>
                                                                            <input type="text" id="title" name="title" class="form-control" required="" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="message">Message *</label>
                                                                            <textarea name="message" id="message" rows="5" class="form-control" required=""></textarea>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="image">Image <small>(Optional)</small></label>
                                                                            <input type="text" id="image" name="image" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="externalLink">External Link <small>(Optional)</small></label>
                                                                            <input type="text" id="externalLink" name="external_link" class="form-control" />
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary">Send</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div> -->

                                                    <div class="col-12 col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Notification Settings</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="notificationSettings">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="oneSignalAppId">One Signal App ID</label>
                                                                            <input type="text" id="one_signal_app_id" name="one_signal_app_id" class="form-control" value="<?php echo $purple_app_conf_data['one_signal_app_id']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="oneSignalRestKey">One Signal Rest Key</label>
                                                                            <input type="text" id="one_signal_rest_key" name="one_signal_rest_key" class="form-control" value="<?php echo $purple_app_conf_data['one_signal_rest_key']; ?>"/>
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="one_signal_google_project_no">One Signal Google Project No</label>
                                                                            <input type="text" id="one_signal_google_project_no" name="one_signal_google_project_no" class="form-control" value="<?php echo $purple_app_conf_data['one_signal_google_project_no']; ?>"/>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="notificationSettings" type="submit">Update</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>

                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>