<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['live_tv'])) {
    $sql = 'UPDATE purple_player SET ';
    if (isset($_POST['Exo_live_tv'])) {
        $sql .= 'live_tv = "Exo Player";';
    } else if (isset($_POST['VLC_live_tv'])) {
        $sql .= 'live_tv = "VLC Player";';
    } else if (isset($_POST['IJK_live_tv'])) {
        $sql .= 'live_tv = "IJK Player";';
    } else {
        $sql .= 'live_tv = "Exo Player";';
    }
    $sqlite3->exec($sql);

    header('Location: purple_player.php');
}

if (isset($_POST['vod'])) {
    $sql = 'UPDATE purple_player SET ';
    if (isset($_POST['Exo_vod'])) {
        $sql .= 'vod = "Exo Player";';
    } else if (isset($_POST['VLC_vod'])) {
        $sql .= 'vod = "VLC Player";';
    } else if (isset($_POST['IJK_vod'])) {
        $sql .= 'vod = "IJK Player";';
    } else {
        $sql .= 'vod = "Exo Player";';
    }
    $sqlite3->exec($sql);

    header('Location: purple_player.php');
}

if (isset($_POST['series'])) {
    $sql = 'UPDATE purple_player SET ';
    if (isset($_POST['Exo_series'])) {
        $sql .= 'series = "Exo Player";';
    } else if (isset($_POST['VLC_series'])) {
        $sql .= 'series = "VLC Player";';
    } else if (isset($_POST['IJK_series'])) {
        $sql .= 'series = "IJK Player";';
    } else {
        $sql .= 'series = "Exo";';
    }
    $sqlite3->exec($sql);

    header('Location: purple_player.php');
}

if (isset($_POST['catchup'])) {
    $sql = 'UPDATE purple_player SET ';
    if (isset($_POST['Exo_catchup'])) {
        $sql .= 'catchup = "Exo Player";';
    } else if (isset($_POST['VLC_catchup'])) {
        $sql .= 'catchup = "VLC Player";';
    } else if (isset($_POST['IJK_catchup'])) {
        $sql .= 'catchup = "IJK Player";';
    } else {
        $sql .= 'catchup = "Exo Player";';
    }
    $sqlite3->exec($sql);

    header('Location: purple_player.php');
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Players</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-6 col-lg-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Default Player Setting</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="live_tv">
                                                                    <div class="form-group">
                                                                        <p class="mb-2">Live TV <small>(currently <?php echo $purple_player_data['live_tv']; ?>)</small></p>
                                                                        <div class="custom-control custom-radio d-inline-block">
                                                                            <input type="radio" id="Exo_live_tv" name="Exo_live_tv" class="custom-control-input"/>
                                                                            <label for="Exo_live_tv" class="custom-control-label">Exo Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="VLC_live_tv" name="Exo_live_tv" class="custom-control-input"/>
                                                                            <label for="VLC_live_tv" class="custom-control-label">VLC Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="IJK_live_tv" name="Exo_live_tv" class="custom-control-input"/>
                                                                            <label for="IJK_live_tv" class="custom-control-label">IJK Player</label>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="live_tv" type="submit">Update</button>
                                                                    <hr class="mt-0" />
                                                                </form>
                                                                <form method="POST" id="vod">
                                                                    <div class="form-group">
                                                                        <p class="mb-2">VOD <small>(currently <?php echo $purple_player_data['vod']; ?>)</small></p>
                                                                        <div class="custom-control custom-radio d-inline-block">
                                                                            <input type="radio" id="Exo_vod" name="Exo_vod" class="custom-control-input"/>
                                                                            <label for="Exo_vod" class="custom-control-label">Exo Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="VLC_vod" name="VLC_vod" class="custom-control-input"/>
                                                                            <label for="VLC_vod" class="custom-control-label">VLC Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="IJK_vod" name="IJK_vod" class="custom-control-input"/>
                                                                            <label for="IJK_vod" class="custom-control-label">IJK Player</label>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="vod" type="submit">Update</button>
                                                                    <hr class="mt-0" />
                                                                </form>
                                                                <form method="POST" id="series">
                                                                    <div class="form-group">
                                                                        <p class="mb-2">Series <small>(currently <?php echo $purple_player_data['series']; ?>)</small></p>
                                                                        <div class="custom-control custom-radio d-inline-block">
                                                                            <input type="radio" id="Exo_series" name="Exo_series" class="custom-control-input"/>
                                                                            <label for="Exo_series" class="custom-control-label">Exo Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="VLC_series" name="VLC_series" class="custom-control-input"/>
                                                                            <label for="VLC_series" class="custom-control-label">VLC Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="IJK_series" name="IJK_series" class="custom-control-input"/>
                                                                            <label for="IJK_series" class="custom-control-label">IJK Player</label>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="series" type="submit">Update</button>
                                                                    <hr class="mt-0" />
                                                                </form>
                                                                <form method="POST" id="catchup">
                                                                    <div class="form-group">
                                                                        <p class="mb-2">Catchup <small>(currently <?php echo $purple_player_data['catchup']; ?>)</small></p>
                                                                        <div class="custom-control custom-radio d-inline-block">
                                                                            <input type="radio" id="Exo_catchup" name="Exo_catchup" class="custom-control-input" />
                                                                            <label for="Exo_catchup" class="custom-control-label">Exo Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="VLC_catchup" name="VLC_catchup" class="custom-control-input" />
                                                                            <label for="VLC_catchup" class="custom-control-label">VLC Player</label>
                                                                        </div>
                                                                        <div class="custom-control custom-radio d-inline-block ml-4">
                                                                            <input type="radio" id="IJK_catchup" name="IJK_catchup" class="custom-control-input" />
                                                                            <label for="IJK_catchup" class="custom-control-label">IJK Player</label>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="catchup" type="submit">Update</button>
                                                                    <hr class="mt-0" />
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>

                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <?php include('assets/includes/footer.php'); ?>
        </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>