<?php
$sqlite3 = new SQLite3('./api/.cockpit-0001.db');

/* create table `profile` if not exists */
$sql = 'CREATE TABLE IF NOT EXISTS profile(';
$sql .= 'id INTEGER PRIMARY KEY, ';
$sql .= 'profile_name TEXT, ';
$sql .= 'username TEXT, ';
$sql .= 'password TEXT, ';
$sql .= 'avatar_url TEXT);';
$sqlite3->exec($sql);

/* create table `panel` if not exists */
$sql = 'CREATE TABLE IF NOT EXISTS panel(';
$sql .= 'title TEXT, ';
$sql .= 'logo_light TEXT, ';
$sql .= 'logo_dark TEXT, ';
$sql .= 'logo_light_sm TEXT, ';
$sql .= 'logo_dark_sm TEXT, ';
$sql .= 'login_gif TEXT);';
$sqlite3->exec($sql);

/* create table `snoop_logs` if not exists */
$sql = 'CREATE TABLE IF NOT EXISTS snoop_logs(';
$sql .= 'id INTEGER PRIMARY KEY, ';
$sql .= 'ip TEXT, ';
$sql .= 'date TEXT);';
$sqlite3->exec($sql);

/* create table `tvsg_settings` if not exists */
$sql = 'CREATE TABLE IF NOT EXISTS tvsg_settings(';
$sql .= 'widget_id TEXT, ';
$sql .= 'border_color TEXT, ';
$sql .= 'background_color TEXT, ';
$sql .= 'text_color TEXT, ';
$sql .= 'auto_scroll TEXT, ';
$sql .= 'heading TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_in_app_purchase(';
$sql .= 'in_app_purchase_id TEXT,';
$sql .= 'lic_key TEXT,';
$sql .= 'in_app_status TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_ads(';
$sql .= 'ads_app_id TEXT,';
$sql .= 'ads_banner TEXT,';
$sql .= 'ads_intrestial TEXT,';
$sql .= 'ads_rewarded TEXT,';
$sql .= 'ads_native TEXT,';
$sql .= 'ads_intrestial_time_delay TEXT,';
$sql .= 'ads_ios_status TEXT,';
$sql .= 'ads_status TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_app_conf(';
$sql .= 'allow_4k TEXT,';
$sql .= 'content_4k TEXT,';
$sql .= 'domain_url TEXT,';
$sql .= 'login_url TEXT,';
$sql .= 'package_name TEXT,';
$sql .= 'privacy_policy TEXT,';
$sql .= 'private_access TEXT,';
$sql .= 'private_video_url TEXT,';
$sql .= 'startup_msg TEXT,';
$sql .= 'vpn TEXT,';
$sql .= 'vpn_sub_splash TEXT,';
$sql .= 'vpn_login_screen TEXT,';
$sql .= 'allow_cast TEXT,';
$sql .= 'remote_support TEXT,';
$sql .= 'setting_option TEXT,';
$sql .= 'wifi_option TEXT,';
$sql .= 'sub_splash TEXT,';
$sql .= 'clear_catch TEXT,';
$sql .= 'app_list_status TEXT,';
$sql .= 'private_menu TEXT,';
$sql .= 'epg_timeshift TEXT,';
$sql .= 'epg_catchup TEXT,';
$sql .= 'catchup TEXT,';
$sql .= 'user_logging TEXT,';
$sql .= 'epg_roku TEXT,';
$sql .= 'dashbord_ticker TEXT,';
$sql .= 'login_ticker TEXT,';
$sql .= 'sub_profile TEXT,';
$sql .= 'set_default_play TEXT,';
$sql .= 'set_recent_play TEXT,';
$sql .= 'remind_me TEXT,';
$sql .= 'cloud_remind_me TEXT,';
$sql .= 'cloud_remind_me_url TEXT,';
$sql .= 'cloud_recording TEXT,';
$sql .= 'cloud_recent_fav TEXT,';
$sql .= 'cloud_recent_fav_url TEXT,';
$sql .= 'multi_recording TEXT,';
$sql .= 'recording TEXT,';
$sql .= 'app_external_plugin TEXT,';
$sql .= 'chat_url TEXT,';
$sql .= 'startup_plugin_install TEXT,';
$sql .= 'startup_archive_category TEXT,';
$sql .= 'header_key TEXT,';
$sql .= 'header_value TEXT,';
$sql .= 'smtp_server TEXT,';
$sql .= 'smtp_port TEXT,';
$sql .= 'smtp_username TEXT,';
$sql .= 'smtp_password TEXT,';
$sql .= 'smtp_from_email TEXT,';
$sql .= 'channel_reporting TEXT,';
$sql .= 'channel_reporting_to_email TEXT,';
$sql .= 'movie_show_reqest TEXT,';
$sql .= 'movie_show_reqest_to_email TEXT,';
$sql .= 'channel_report_email_subject TEXT,';
$sql .= 'movie_shows_reqest_email_subject TEXT,';
$sql .= 'p2p TEXT,';
$sql .= 'p2p_signal TEXT,';
$sql .= 'p2p_setting_default TEXT,';
$sql .= 'intro_video TEXT,';
$sql .= 'theme_change_allow TEXT,';
$sql .= 'theme_change_layout TEXT,';
$sql .= 'report_issue_from_email TEXT,';
$sql .= 'report_issue_to_email TEXT,';
$sql .= 'report_issue TEXT,';
$sql .= 'reporting_api TEXT,';
$sql .= 'mqtt_server TEXT,';
$sql .= 'mqtt_endpoint TEXT,';
$sql .= 'auto_login TEXT,';
$sql .= 'multi_profile TEXT,';
$sql .= 'server_selection TEXT,';
$sql .= 'app_settings TEXT,';
$sql .= 'app_settings_passcode TEXT,';
$sql .= 'app_general_settings TEXT,';
$sql .= 'multi_profile_auto_login TEXT,';
$sql .= 'sub_user_profile TEXT,';
$sql .= 'sub_user_profile_allow TEXT,';
$sql .= 'sub_user_profile_default TEXT,';
$sql .= 'sub_user_profile_setting TEXT,';
$sql .= 'sub_user_profile_select_on_start TEXT,';
$sql .= 'stream_format TEXT,';
$sql .= 'startup_auto_boot TEXT,';
$sql .= 'startup_device_select TEXT,';
$sql .= 'manual_device_select TEXT,';
$sql .= 'default_device_select TEXT,';
$sql .= 'one_signal_app_id TEXT,';
$sql .= 'one_signal_rest_key TEXT,';
$sql .= 'one_signal_google_project_no TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_app_dns(';
$sql .= 'dns_id INTEGER PRIMARY KEY AUTOINCREMENT,';
$sql .= 'dns_title TEXT UNIQUE,';
$sql .= 'url TEXT,';
$sql .= 'live_dns TEXT,';
$sql .= 'epg_dns TEXT,';
$sql .= 'movie_dns TEXT,';
$sql .= 'series_dns TEXT,';
$sql .= 'catchup_dns TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_app_image(';
$sql .= 'app_image TEXT,';
$sql .= 'app_video TEXT,';
$sql .= 'app_logo TEXT,';
$sql .= 'app_mobile_icon TEXT,';
$sql .= 'app_tv_banner TEXT,';
$sql .= 'splash_image TEXT,';
$sql .= 'back_image TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_about(';
$sql .= 'description TEXT,';
$sql .= 'developed TEXT,';
$sql .= 'name TEXT,';
$sql .= 'skype TEXT,';
$sql .= 'telegram TEXT,';
$sql .= 'whatsapp TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_support(';
$sql .= 'email TEXT,';
$sql .= 'web TEXT,';
$sql .= 'skype TEXT,';
$sql .= 'telegram TEXT,';
$sql .= 'whatsapp TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_version(';
$sql .= 'version_check TEXT,';
$sql .= 'version_code TEXT,';
$sql .= 'version_name TEXT,';
$sql .= 'version_update_msg TEXT,';
$sql .= 'version_download_url TEXT,';
$sql .= 'version_force_update TEXT,';
$sql .= 'version_download_url_apk TEXT,';
$sql .= 'version_changelog TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_endpoint(';
$sql .= 'm3u_parse TEXT,';
$sql .= 'login TEXT,';
$sql .= 'register TEXT,';
$sql .= 'list_get TEXT,';
$sql .= 'list_m3u_update TEXT,';
$sql .= 'deleteurl TEXT,';
$sql .= 'list_update_epg TEXT,';
$sql .= 'list_xstream_update TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_api_key(';
$sql .= 'imdb_api TEXT,';
$sql .= 'g_api_key TEXT,';
$sql .= 'image_imdb TEXT,';
$sql .= 'trakt_api_key TEXT,';
$sql .= 'weather_api TEXT,';
$sql .= 'ip_stack_key TEXT,';
$sql .= 'check_ip TEXT,';
$sql .= 'vpn_url TEXT,';
$sql .= 'vpn_username TEXT,';
$sql .= 'vpn_password TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_weather(';
$sql .= 'weather_defult_city TEXT,';
$sql .= 'city_name TEXT,';
$sql .= 'city_id TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_background(';
$sql .= 'background_remote_change TEXT,';
$sql .= 'background_auto_change TEXT,';
$sql .= 'background_mannual_change TEXT,';
$sql .= 'background_url TEXT,';
$sql .= 'back_overlay_remote_change TEXT,';
$sql .= 'background_overlay_color_code TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_language(';
$sql .= 'default_language TEXT,';
$sql .= 'firstime_select_language TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_themes(';
$sql .= 'theme_default_layout TEXT,';
$sql .= 'theme_color_1 TEXT,';
$sql .= 'theme_color_2 TEXT,';
$sql .= 'theme_color_3 TEXT,';
$sql .= 'roku_color_primary TEXT,';
$sql .= 'roku_color_secondary TEXT,';
$sql .= 'roku_button_focus TEXT,';
$sql .= 'roku_button_unfocus TEXT,';
$sql .= 'theme_change TEXT,';
$sql .= 'roku_background_overlay TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_player(';
$sql .= 'live_tv TEXT,';
$sql .= 'vod TEXT,';
$sql .= 'series TEXT,';
$sql .= 'catchup TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_vpns(';
$sql .= 'country TEXT,';
$sql .= 'city TEXT,';
$sql .= 'file TEXT,';
$sql .= 'username TEXT,';
$sql .= 'password TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_plugin_list(';
$sql .= 'name TEXT,';
$sql .= 'version TEXT,';
$sql .= 'playstore_url TEXT,';
$sql .= 'apk_url TEXT,';
$sql .= 'status TEXT,';
$sql .= 'pkg_name TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_maintenance_msg(';
$sql .= 'id INTEGER PRIMARY KEY AUTOINCREMENT, ';
$sql .= 'title TEXT UNIQUE, ';
$sql .= 'short_description TEXT, ';
$sql .= 'image TEXT, ';
$sql .= 'created_at TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_app_announce(';
$sql .= 'title TEXT, ';
$sql .= 'short_description TEXT, ';
$sql .= 'image TEXT, ';
$sql .= 'created_at TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_private_menu(';
$sql .= 'id INTEGER PRIMARY KEY AUTOINCREMENT, ';
$sql .= 'addtion_app_icon TEXT, ';
$sql .= 'addtion_app_name TEXT, ';
$sql .= 'addtion_app_pkg TEXT UNIQUE, ';
$sql .= 'addtion_app_url TEXT, ';
$sql .= 'addtion_app_status TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_version_changelog(';
$sql .= 'id INTEGER PRIMARY KEY AUTOINCREMENT, ';
$sql .= 'changelog_title TEXT UNIQUE, ';
$sql .= 'changelog_description TEXT);';
$sqlite3->exec($sql);

$sql = 'CREATE TABLE IF NOT EXISTS purple_background_url(';
$sql .= 'id INTEGER PRIMARY KEY AUTOINCREMENT, ';
$sql .= 'url TEXT);';
$sqlite3->exec($sql);

/* get user count */
$result = $sqlite3->query("SELECT COUNT(*) AS count FROM profile");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
    /* insert `admin` if not exists */
    $sql = 'INSERT INTO profile(';
    $sql .= 'id, ';
    $sql .= 'profile_name, ';
    $sql .= 'username, ';
    $sql .= 'password, ';
    $sql .= 'avatar_url) ';
    $sql .= 'VALUES(';
    $sql .= '1, ';
    $sql .= '"Admin", ';
    $sql .= '"admin", ';
    $sql .= '"admin", ';
    $sql .= '"https://i.imgur.com/0r65LVT.jpg");';
    $sqlite3->exec($sql);

    /* inserts default images */
    $sql = 'INSERT INTO panel(';
    $sql .= 'logo_light, ';
    $sql .= 'logo_dark, ';
    $sql .= 'logo_light_sm, ';
    $sql .= 'logo_dark_sm, ';
    $sql .= 'login_gif) ';
    $sql .= 'VALUES(';
    $sql .= '"https://i.imgur.com/6wvFmRC.png", ';
    $sql .= '"https://i.imgur.com/IrhBb1p.png", ';
    $sql .= '"https://i.imgur.com/HgTuiLC.png", ';
    $sql .= '"https://i.imgur.com/HgTuiLC.png", ';
    $sql .= '"https://i.imgur.com/Kj3bflW.gif");';
    $sqlite3->exec($sql);
}

/* get xciptv tvsg settings data count */
$result = $sqlite3->query("SELECT COUNT(*) AS count FROM tvsg_settings");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
    /* insert `default` tvsg settings data if not exists */
    /* TODO: Cleanup */
    $sql = "INSERT INTO tvsg_settings('widget_id', 'border_color', 'background_color', 'text_color', 'auto_scroll', 'heading') VALUES ('5cc316f797659', '#1d23dd', '#ffffff', '#000000', '1', 'Example Heading');";
    $sqlite3->exec($sql);
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_in_app_purchase");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_in_app_purchase VALUES ('', '', 'false')");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_ads");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_ads VALUES ('', '', '', '', '', '3600', 'false', 'false')");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_app_conf");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_app_conf VALUES ('true', '', 'http://NA.com', 'http://NA.com', 'com.purple.iptv.smart.player', '', 'true', '', 'Thank You for Using Purple IPTV Player', 'true', 'true', 'true', 'true', 'false', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'true', 'false', '', 'true', 'false', '', 'true', 'true', 'true', '', 'true', 'false', 'Purple IPTV Player', 'User-Agent', '', '', '', '', '', 'false', '', 'false', '', '', '', 'false', 'cdn://cloud.net', 'false', 'true', 'true', 'L1,L2,L4,L5,L6,L7,L8,L9,L10,L11,L12,L13,L14,L15,L16,L17', 'support@purplesmarttv.com', 'info@purplesmarttv.com', 'false', '', 'tcp://161.97.125.117:1883', '/purplesmart/flavo/', 'false', 'true', 'true', 'true', '0000', 'true', 'false', 'false', 5, 'false', 'false', 'false', 'm3u8', 'false', 'true', 'false', '', 'bca44340-1b0f-4f51-9b3f-8357b26f2843', '', '723204113804');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_app_image");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_app_image VALUES ('true', '', 'https://panel.purpletv.app/assets/admin/img/741x147.png', 'https://panel.purpletv.app/assets/admin/img/640x360.png', 'https://panel.purpletv.app/assets/admin/img/512x512.png', 'https://panel.purpletv.app/assets/admin/img/1280x720.png', 'https://panel.purpletv.app/assets/admin/img/1280x720.png');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_about");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_about VALUES ('Multi-purpose Panel', 'Ian', 'IPTV Purple Player', '#', '@ianwoneill', '#');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_support");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_support VALUES ('#', 'https://iptvapps.net/', '#', '@ianwoneill', '#');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_version");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_version VALUES ('false', '10', '4.0', 'Purchase Cockpit: Purple Player today!', 'https://play.google.com/store/apps/details?id=com.purple.iptv.player', 'false', 'https://example.com/app.apk', '');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_endpoint");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_endpoint VALUES ('http://vithani.org/api/m3uparse/m3u.php?url=', 'http://api.purplesmarttv.com/login.php', 'http://api.purplesmarttv.com/register.php', 'http://api.purplesmarttv.com/getList.php', 'http://api.purplesmarttv.com/m3u.php', 'http://api.purplesmarttv.com/deleteurl.php', 'http://api.purplesmarttv.com/updateepg.php', 'https://api.purplesmarttv.com/xstream.php');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_api_key");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_api_key VALUES ('', '', '', '', '', '', '', 'https://panel.purpletv.app/api/vpn', 'tLe7XxPXgnnb7fj6Egt68LnM', 'ZB6pZk6dv6uFp6SZGqZ99HZA');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_weather");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_weather VALUES ('London', '', '');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_background");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_background VALUES ('true', 'true', 'true', null, 'false', '');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_language");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_language VALUES ('EN', 'true');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_themes");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_themes VALUES ('L16', '', '', '', '', '', '', '', 'true', '');");
}

$result = $sqlite3->query("SELECT COUNT(*) AS count FROM purple_player");
$row = $result->fetchArray();
$row_count = $row['count'];
if ($row_count == 0) {
  $sqlite3->exec("INSERT INTO purple_player VALUES ('Exo Player', 'VLC Player', 'VLC Player', 'VLC Player');");
}

$sql = "SELECT * FROM profile ";
$sql .= "WHERE id = '1';";
$result = $sqlite3->query($sql);
$profile_data = $result->fetchArray();

$sql = "SELECT * FROM panel;";
$result = $sqlite3->query($sql);
$panel_data = $result->fetchArray();

$sql = "SELECT * FROM snoop_logs;";
$snoop_logs = $sqlite3->query($sql);

$sql = "SELECT * FROM tvsg_settings;";
$result = $sqlite3->query($sql);
$tvsg_settings = $result->fetchArray();

$sql = "SELECT * FROM purple_in_app_purchase;";
$result = $sqlite3->query($sql);
$purple_in_app_purchase_data = $result->fetchArray();

$sql = "SELECT * FROM purple_ads;";
$purple_ads_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_app_conf;";
$result = $sqlite3->query($sql);
$purple_app_conf_data = $result->fetchArray();

$sql = "SELECT * FROM purple_app_dns;";
$purple_app_dns_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_app_image;";
$result = $sqlite3->query($sql);
$purple_app_image_data = $result->fetchArray();

$sql = "SELECT * FROM purple_about;";
$result = $sqlite3->query($sql);
$purple_about_data = $result->fetchArray();

$sql = "SELECT * FROM purple_support;";
$result = $sqlite3->query($sql);
$purple_support_data = $result->fetchArray();

$sql = "SELECT * FROM purple_version;";
$result = $sqlite3->query($sql);
$purple_version_data = $result->fetchArray();

$sql = "SELECT * FROM purple_endpoint;";
$purple_endpoint_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_api_key;";
$result = $sqlite3->query($sql);
$purple_api_key_data = $result->fetchArray();

$sql = "SELECT * FROM purple_weather;";
$result = $sqlite3->query($sql);
$purple_weather_data = $result->fetchArray();

$sql = "SELECT * FROM purple_background;";
$result = $sqlite3->query($sql);
$purple_background_data = $result->fetchArray();

$sql = "SELECT * FROM purple_language;";
$result = $sqlite3->query($sql);
$purple_language_data = $result->fetchArray();

$sql = "SELECT * FROM purple_themes;";
$result = $sqlite3->query($sql);
$purple_themes_data = $result->fetchArray();

$sql = "SELECT * FROM purple_player;";
$result = $sqlite3->query($sql);
$purple_player_data = $result->fetchArray();

$sql = "SELECT * FROM purple_plugin_list;";
$purple_plugin_list_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_maintenance_msg;";
$purple_maintenance_msg_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_app_announce;";
$purple_app_announce_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_private_menu;";
$purple_private_menu_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_version_changelog;";
$purple_version_changelog_data = $sqlite3->query($sql);

$sql = "SELECT * FROM purple_background_url;";
$purple_background_url_data = $sqlite3->query($sql);