<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['theme'])) {
    $sql = 'UPDATE purple_themes SET ';
    $sql .= 'theme_default_layout = "' . $_POST['theme_default_layout'] . '", ';
    $sql .= 'theme_color_1 = "' . $_POST['theme_color_1'] . '", ';
    $sql .= 'theme_color_2 = "' . $_POST['theme_color_2'] . '", ';
    $sql .= 'theme_color_3 = "' . $_POST['theme_color_3'] . '", ';
    $sql .= 'roku_color_primary = "' . $_POST['roku_color_primary'] . '", ';
    $sql .= 'roku_color_secondary = "' . $_POST['roku_color_secondary'] . '", ';
    $sql .= 'roku_button_focus = "' . $_POST['roku_button_focus'] . '", ';
    $sql .= 'roku_button_unfocus = "' . $_POST['roku_button_unfocus'] . '", ';
    $sql .= 'theme_change = "' . (isset($_POST['theme_change']) ? 'true' : 'false') . '", ';
    $sql .= 'roku_background_overlay = "' . $_POST['roku_background_overlay'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_appearance.php');
}

if (isset($_POST['background'])) {
    $sql = 'UPDATE purple_background SET ';
    if ((isset($_POST['background_remote_change']) ? 'true' : 'false') || (isset($_POST['background_mannual_change']) ? 'true' : 'false')) {
        $sql .= 'background_overlay_color_code = "", ';
    } else {
        $sql .= 'background_overlay_color_code = "' . $_POST['background_overlay_color_code'] . '", ';
    }
    $sql .= 'background_auto_change = "' . (isset($_POST['background_auto_change']) ? 'true' : 'false') . '", ';
    $sql .= 'background_mannual_change = "' . (isset($_POST['background_mannual_change']) ? 'true' : 'false') . '", ';
    $sql .= 'background_remote_change = "' . (isset($_POST['background_remote_change']) ? 'true' : 'false') . '", ';
    $sql .= 'back_overlay_remote_change = "' . (isset($_POST['back_overlay_remote_change']) ? 'true' : 'false') . '";';
    $sqlite3->exec($sql);

    header('Location: purple_appearance.php');
}

if (isset($_POST['add_bgurl'])) {
    $sql = "INSERT INTO purple_background_url(";
    $sql .= "url) ";
    $sql .= "VALUES (";
    $sql .= "'" . $_POST['add_url'] . "');";
    $sqlite3->exec($sql);

    header("Location: purple_appearance.php");
}

if (isset($_POST['edit_bgurl'])) {
    $sql = "UPDATE purple_background_url SET ";
    $sql .= "url = '" . $_POST['edit_url'] . "' ";
    $sql .= "WHERE id = " . $_POST['edit_id'] . ";";
    $sqlite3->exec($sql);

    header("Location: purple_appearance.php");
}

if (isset($_POST['delete_bgurl'])) {
    $sql = "DELETE FROM purple_background_url ";
    $sql .= "WHERE id = " . $_POST['delete_id'] . ";";
    $sqlite3->exec($sql);

    header("Location: purple_appearance.php");
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Appearance</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Theme</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="theme">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label for="theme_default_layout">Theme Default Layout</label>
                                                                            <select name="theme_default_layout" id="theme_default_layout" class="form-control">
                                                                                <option value="">Select Layout</option>
                                                                                <option value="L1" <?php echo $purple_themes_data['theme_default_layout'] == 'L1' ? 'selected' : '' ?>>L1</option>
                                                                                <option value="L2" <?php echo $purple_themes_data['theme_default_layout'] == 'L2' ? 'selected' : '' ?>>L2</option>
                                                                                 <option value="L3" <?php echo $purple_themes_data['theme_default_layout'] == 'L3' ? 'selected' : '' ?>>L3</option> 
                                                                                <option value="L4" <?php echo $purple_themes_data['theme_default_layout'] == 'L4' ? 'selected' : '' ?>>L4</option>
                                                                                <option value="L5" <?php echo $purple_themes_data['theme_default_layout'] == 'L5' ? 'selected' : '' ?>>L5</option>
                                                                                <option value="L6" <?php echo $purple_themes_data['theme_default_layout'] == 'L6' ? 'selected' : '' ?>>L6</option>
                                                                                <option value="L7" <?php echo $purple_themes_data['theme_default_layout'] == 'L7' ? 'selected' : '' ?>>L7</option>
                                                                                <option value="L8" <?php echo $purple_themes_data['theme_default_layout'] == 'L8' ? 'selected' : '' ?>>L8</option>
                                                                                <option value="L9" <?php echo $purple_themes_data['theme_default_layout'] == 'L9' ? 'selected' : '' ?>>L9</option>
                                                                                <option value="L10" <?php echo $purple_themes_data['theme_default_layout'] == 'L10' ? 'selected' : '' ?>>L10</option>
                                                                                <option value="L11" <?php echo $purple_themes_data['theme_default_layout'] == 'L11' ? 'selected' : '' ?>>L11</option>
                                                                                <option value="L12" <?php echo $purple_themes_data['theme_default_layout'] == 'L12' ? 'selected' : '' ?>>L12</option>
                                                                                <option value="L13" <?php echo $purple_themes_data['theme_default_layout'] == 'L13' ? 'selected' : '' ?>>L13</option>
                                                                                <option value="L14" <?php echo $purple_themes_data['theme_default_layout'] == 'L14' ? 'selected' : '' ?>>L14</option>
                                                                                <option value="L15" <?php echo $purple_themes_data['theme_default_layout'] == 'L15' ? 'selected' : '' ?>>L15</option>
                                                                                 <option value="L16" <?php echo $purple_themes_data['theme_default_layout'] == 'L16' ? 'selected' : '' ?>>L16</option> 
                                                                                <option value="L17" <?php echo $purple_themes_data['theme_default_layout'] == 'L17' ? 'selected' : '' ?>>L17</option>
                                                                            </select>
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Theme Color 1</label>
                                                                            <input type="color" name="theme_color_1" id="theme_color_1" class="form-control" value="<?php echo $purple_themes_data['theme_color_1']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Theme Color 2</label>
                                                                            <input type="color" name="theme_color_2" id="theme_color_2" class="form-control" value="<?php echo $purple_themes_data['theme_color_2']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Theme Color 3</label>
                                                                            <input type="color" name="theme_color_3" id="theme_color_3" class="form-control" value="<?php echo $purple_themes_data['theme_color_3']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Roku Color Primary</label>
                                                                            <input type="color" name="roku_color_primary" id="roku_color_primary" class="form-control" value="<?php echo $purple_themes_data['roku_color_primary']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Roku Color Secondary</label>
                                                                            <input type="color" name="roku_color_secondary" id="roku_color_secondary" class="form-control" value="<?php echo $purple_themes_data['roku_color_secondary']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Roku Button Focus</label>
                                                                            <input type="color" name="roku_button_focus" id="roku_button_focus" class="form-control" value="<?php echo $purple_themes_data['roku_button_focus']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Roku Button Unfocus</label>
                                                                            <input type="color" name="roku_button_unfocus" id="roku_button_unfocus" class="form-control" value="<?php echo $purple_themes_data['roku_button_unfocus']; ?>" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <label>Roku Background Overlay</label>
                                                                            <input type="text" name="roku_background_overlay" id="roku_background_overlay" class="form-control" value="<?php echo $purple_themes_data['roku_background_overlay']; ?>" />
                                                                        </div>
                                                                        <div class="col-12">
                                                                            <hr class="mt-0" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <div class="d-flex-between">
                                                                                <label class="mb-0">Theme Change</label>
                                                                                <div class="square-switch float-right">
                                                                                    <input type="checkbox" name="theme_change" id="theme_change" switch="bool" <?php echo $purple_themes_data['theme_change'] == 'true' ? 'checked' : '' ?> />
                                                                                    <label for="theme_change" data-on-label="Yes" data-off-label="No"></label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <hr class="mt-0" />
                                                                    <button class="btn btn-primary" name="theme" type="submit">Update</button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-6">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Background</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="backround">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label>Background Overlay Color Code</label>
                                                                            <input type="color" name="background_overlay_color_code" id="background_overlay_color_code" class="form-control" value="<?php echo $purple_background_data['background_overlay_color_code']; ?>" />
                                                                            <hr class="mb-0" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <div class="d-flex-between">
                                                                                <label class="mb-0">Auto Change</label>
                                                                                <div class="square-switch float-right">
                                                                                    <input type="checkbox" name="background_auto_change" id="background_auto_change" switch="bool" <?php echo $purple_background_data['background_auto_change'] == 'true' ? 'checked' : '' ?> />
                                                                                    <label for="background_auto_change" data-on-label="Yes" data-off-label="No"></label>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mb-0" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <div class="d-flex-between">
                                                                                <label class="mb-0">Manual Change</label>
                                                                                <div class="square-switch float-right">
                                                                                    <input type="checkbox" name="background_mannual_change" id="background_mannual_change" switch="bool" <?php echo $purple_background_data['background_mannual_change'] == 'true' ? 'checked' : '' ?> />
                                                                                    <label for="background_mannual_change" data-on-label="Yes" data-off-label="No"></label>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mb-0" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <div class="d-flex-between">
                                                                                <label class="mb-0">Remote Change</label>
                                                                                <div class="square-switch float-right">
                                                                                    <input type="checkbox" name="background_remote_change" id="background_remote_change" switch="bool" <?php echo $purple_background_data['background_remote_change'] == 'true' ? 'checked' : '' ?> />
                                                                                    <label for="background_remote_change" data-on-label="Yes" data-off-label="No"></label>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mb-0" />
                                                                        </div>
                                                                        <div class="form-group col-12 col-md-6">
                                                                            <div class="d-flex-between">
                                                                                <label class="mb-0">Overlay Remote Change</label>
                                                                                <div class="square-switch float-right">
                                                                                    <input type="checkbox" name="back_overlay_remote_change" id="back_overlay_remote_change" switch="bool" <?php echo $purple_background_data['back_overlay_remote_change'] == 'true' ? 'checked' : '' ?> />
                                                                                    <label for="back_overlay_remote_change" data-on-label="Yes" data-off-label="No"></label>
                                                                                </div>
                                                                            </div>
                                                                            <hr class="mb-0" />

                                                                        </div>
                                                                        <a data-toggle="modal" data-target="#add_modal" class="add-button btn-sm btn-secondary float-right">+ Background</a>
                                                                        <div class="table-responsive no-padding">
                                                                            <table id="datatable" class="table dt-responsive table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                                                <thead>
                                                                                    <tr>
                                                                                        <th>#</th>
                                                                                        <th>URL</th>
                                                                                        <th>Action</th>
                                                                                    </tr>
                                                                                </thead>
                                                                                <?php while ($row = $purple_background_url_data->fetchArray()) { ?>
                                                                                    <tr>
                                                                                        <td><?php echo $row['id']; ?></td>
                                                                                        <td><?php echo $row['url']; ?></td>
                                                                                        <td>
                                                                                            <button type="button" data-toggle="modal" data-target="#edit_modal" class="edit-button btn-sm btn-primary waves-effect waves-light"><i class="dripicons-document-edit"></i></button>
                                                                                            <button type="button" data-toggle="modal" data-target="#delete_modal" class="delete-button btn-sm btn-danger waves-effect waves-light"><i class="dripicons-document-delete"></i></button>
                                                                                        </td>
                                                                                    </tr>
                                                                                <?php } ?>
                                                                            </table>
                                                                        </div>
                                                                        <button class="btn btn-primary" name="background" type="submit">Update</button>
                                                                </form>
                                                            </div>
                                                        </div>

                                                        <div class="modal fade" id="add_modal" tabindex="-1" role="dialog" aria-labelledby="addModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header border-bottom-0">
                                                                        <h5 class="modal-title" id="addModalLabel">Add Background</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <form method="POST">
                                                                        <div class="modal-body">
                                                                            <div class="form-group">
                                                                                <label for="add_url">URL</label>
                                                                                <input type="text" class="form-control" id="add_url" name="add_url" placeholder="Enter background URL">
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer text-center mt-4">
                                                                            <button type="submit" name="add_bgurl" class="btn-sm btn-primary">Submit</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="modal fade" id="edit_modal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header border-bottom-0">
                                                                        <h5 class="modal-title" id="editModalLabel">Edit Background</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <form method="POST">
                                                                        <div class="modal-body">
                                                                            <div class="input-group row" hidden>
                                                                                <input type="text" class="form-control" id="edit_id" name="edit_id">
                                                                            </div>
                                                                            <div class="form-group">
                                                                                <label for="edit_url">URL</label>
                                                                                <input type="text" class="form-control" id="edit_url" name="edit_url" placeholder="Enter background URL">
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer text-center mt-4">
                                                                            <button type="submit" name="edit_bgurl" class="btn-sm btn-primary">Save</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="modal fade" id="delete_modal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header border-bottom-0">
                                                                        <h5 class="modal-title" id="deleteModalLabel">Delete Background</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <form method="POST">
                                                                        <div class="modal-body">
                                                                            <div class="form-group" hidden>
                                                                                <input type="text" class="form-control" id="delete_id" name="delete_id">
                                                                            </div>
                                                                            <h3 class="text-center mt-4">Are you sure?</h3>
                                                                        </div>
                                                                        <div class="modal-footer text-center mt-4">
                                                                            <button type="submit" name="delete_bgurl" class="btn-sm btn-danger">Delete</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <script>
                                                            $(function() {
                                                                $(".edit-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    var url = currentRow.find("td:eq(1)").text();
                                                                    $("#edit_id").val(id);
                                                                    $("#edit_url").val(url);
                                                                });
                                                                $(".delete-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    $("#delete_id").val(id);
                                                                });
                                                            });
                                                        </script>

                                                    </div>
                                                </div>

                                            </div>

                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    <?php include('assets/includes/footer.php'); ?>
    </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>