<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['post_dns'])) {
    $sql = "REPLACE INTO purple_app_dns(";
    $sql .= "dns_title, ";
    $sql .= "url, ";
    $sql .= "live_dns, ";
    $sql .= "epg_dns, ";
    $sql .= "movie_dns, ";
    $sql .= "series_dns, ";
    $sql .= "catchup_dns) ";
    $sql .= "VALUES (";
    $sql .= "'" . $_POST['dns_title'] . "', ";
    $sql .= "'" . $_POST['url'] . "', ";
    $sql .= "'" . $_POST['live_dns'] . "', ";
    $sql .= "'" . $_POST['epg_dns'] . "', ";
    $sql .= "'" . $_POST['movie_dns'] . "', ";
    $sql .= "'" . $_POST['series_dns'] . "', ";
    $sql .= "'" . $_POST['catchup_dns'] . "');";
    $sqlite3->exec($sql);

    header("Location: purple_dns.php");
}

if (isset($_POST['delete_id'])) {
    $sql = "DELETE FROM purple_app_dns ";
    $sql .= "WHERE dns_id = " . $_POST['delete_id'] . ";";
    $sqlite3->exec($sql);

    header("Location: purple_dns.php");
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">DNS</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="col-12 d-flex mx-auto">

                                        <div class="card-body">
                                            <div class="col-md-12">

                                                <div class="row">
                                                    <div class="col-12 col-md-4">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">Add DNS URL</h5>
                                                                <hr class="mt-0" />
                                                                <form method="POST" id="post_dns">
                                                                    <div class="form-row">
                                                                        <div class="form-group col-12">
                                                                            <label for="dns_title">DNS Title</label>
                                                                            <input type="text" id="dns_title" name="dns_title" class="form-control" required="" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="url">Url</label>
                                                                            <input type="text" id="url" name="url" class="form-control" required="" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="live_dns">Live DNS</label>
                                                                            <input type="text" id="live_dns" name="live_dns" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="epg_dns">EPG DNS</label>
                                                                            <input type="text" id="epg_dns" name="epg_dns" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="movie_dns">Movie DNS</label>
                                                                            <input type="text" id="movie_dns" name="movie_dns" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="series_dns">Series DNS</label>
                                                                            <input type="text" id="series_dns" name="series_dns" class="form-control" />
                                                                        </div>
                                                                        <div class="form-group col-12">
                                                                            <label for="catchup_dns">Catchup DNS</label>
                                                                            <input type="text" id="catchup_dns" name="catchup_dns" class="form-control" />
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary" name="post_dns" type="submit">
                                                                        Save
                                                                    </button>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12 col-md-8">
                                                        <div class="card">
                                                            <div class="card-body">
                                                                <h5 class="card-title">DNS URL List</h5>
                                                                <hr class="mt-0" />
                                                                <div class="table-responsive no-padding">
                                                                    <table id="datatable" class="table dt-responsive table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                                        <thead>
                                                                            <tr>
                                                                                <th hidden>#</th>
                                                                                <th>DNS Title</th>
                                                                                <th>Url</th>
                                                                                <th>Live DNS</th>
                                                                                <th>EPG DNS</th>
                                                                                <th>Movie DNS</th>
                                                                                <th>Series DNS</th>
                                                                                <th>Catchup DNS</th>
                                                                                <th>Action</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                            <?php while ($row = $purple_app_dns_data->fetchArray()) { ?>
                                                                                <tr>
                                                                                    <td hidden><?php echo $row['dns_id']; ?></td>
                                                                                    <td><?php echo $row['dns_title']; ?></td>
                                                                                    <td><?php echo $row['url']; ?></td>
                                                                                    <td><?php echo $row['live_dns']; ?></td>
                                                                                    <td><?php echo $row['epg_dns']; ?></td>
                                                                                    <td><?php echo $row['movie_dns']; ?></td>
                                                                                    <td><?php echo $row['series_dns']; ?></td>
                                                                                    <td><?php echo $row['catchup_dns']; ?></td>
                                                                                    <td>
                                                                                        <button type="button" data-toggle="modal" class="edit-button btn-sm btn-primary waves-effect waves-light"><i class="dripicons-document-edit"></i></button>
                                                                                        <button type="button" data-toggle="modal" data-target="#delete_modal" class="delete-button btn-sm btn-danger waves-effect waves-light"><i class="dripicons-document-delete"></i></button>
                                                                                    </td>
                                                                                </tr>
                                                                            <?php } ?>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="modal fade" id="delete_modal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                                <div class="modal-content">
                                                                    <div class="modal-header border-bottom-0">
                                                                        <h5 class="modal-title" id="deleteModalLabel">Delete DNS</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <form method="POST">
                                                                        <div class="modal-body">
                                                                            <div class="form-group" hidden>
                                                                                <input type="text" class="form-control" id="delete_id" name="delete_id">
                                                                            </div>
                                                                            <h3 class="text-center mt-4">Are you sure?</h3>
                                                                        </div>
                                                                        <div class="modal-footer text-center mt-4">
                                                                            <button type="submit" name="delete_dns" class="btn-sm btn-danger">Delete</button>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <script>
                                                            $(function() {
                                                                $(".edit-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    var dns_title = currentRow.find("td:eq(1)").text();
                                                                    var url = currentRow.find("td:eq(2)").text();
                                                                    var live_dns = currentRow.find("td:eq(3)").text();
                                                                    var epg_dns = currentRow.find("td:eq(4)").text();
                                                                    var movie_dns = currentRow.find("td:eq(5)").text();
                                                                    var series_dns = currentRow.find("td:eq(6)").text();
                                                                    var catchup_dns = currentRow.find("td:eq(7)").text();
                                                                    $("#dns_id").val(id);
                                                                    $("#dns_title").val(dns_title);
                                                                    $("#url").val(url);
                                                                    $("#live_dns").val(live_dns);
                                                                    $("#epg_dns").val(epg_dns);
                                                                    $("#movie_dns").val(movie_dns);
                                                                    $("#series_dns").val(series_dns);
                                                                    $("#catchup_dns").val(catchup_dns);
                                                                });
                                                                $(".delete-button").on('click', function() {
                                                                    var currentRow = $(this).closest("tr");
                                                                    var id = currentRow.find("td:eq(0)").text();
                                                                    $("#delete_id").val(id);
                                                                });
                                                            });
                                                        </script>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>

    <?php include('assets/includes/footer.php'); ?>
    </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>