<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}

if (isset($_POST['post_app_version'])) {
    $sql = 'UPDATE purple_version SET ';
    $sql .= 'version_name = "' . $_POST['version_name'] . '", ';
    $sql .= 'version_code = "' . $_POST['version_code'] . '", ';
    $sql .= 'version_download_url = "' . $_POST['version_download_url'] . '", ';
    $sql .= 'version_download_url_apk = "' . $_POST['version_download_url_apk'] . '", ';
    $sql .= 'version_update_msg = "' . $_POST['version_update_msg'] . '", ';
    $sql .= 'version_check = "' . (isset($_POST['version_check']) ? 'true' : 'false') . '", ';
    $sql .= 'version_force_update = "' . (isset($_POST['version_force_update']) ? 'true' : 'false') . '";';
    $sqlite3->exec($sql);

    header('Location: purple_version.php');
}

if (isset($_POST['post_version_change'])) {
    $sql = "REPLACE INTO purple_version_changelog(";
    $sql .= "changelog_title, ";
    $sql .= "changelog_description) ";
    $sql .= "VALUES (";
    $sql .= "'" . $_POST['changelog_title'] . "', ";
    $sql .= "'" . $_POST['changelog_description'] . "');";
    $sqlite3->exec($sql);

    header("Location: purple_version.php");
}

if (isset($_POST['delete_id'])) {
    $sql = "DELETE FROM purple_version_changelog ";
    $sql .= "WHERE id = " . $_POST['delete_id'] . ";";
    $sqlite3->exec($sql);

    header("Location: purple_version.php");
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">Version</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col-12 col-md-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <h5 class="card-title">App Version</h5>
                                                    <hr class="mt-0" />
                                                    <form method="POST" id="post_app_version">
                                                        <div class="form-row">
                                                            <div class="form-group col-12 col-lg-4">
                                                                <label for="version_name">Version Name</label>
                                                                <input type="text" id="version_name" name="version_name" class="form-control" value="<?php echo $purple_version_data['version_name']; ?>" />
                                                            </div>
                                                            <div class="form-group col-12 col-lg-4">
                                                                <label for="version_code">Version Code</label>
                                                                <input type="text" id="version_code" name="version_code" class="form-control" value="<?php echo $purple_version_data['version_code']; ?>" />
                                                            </div>
                                                            <div class="form-group col-12 col-lg-4">
                                                                <label for="version_download_url">Play Store URL</label>
                                                                <input type="text" id="version_download_url" name="version_download_url" class="form-control" value="<?php echo $purple_version_data['version_download_url']; ?>" />
                                                            </div>
                                                            <div class="form-group col-12 col-lg-4">
                                                                <label for="version_download_url_apk">APK URL</label>
                                                                <input type="text" id="version_download_url_apk" name="version_download_url_apk" class="form-control" value="<?php echo $purple_version_data['version_download_url_apk']; ?>" />
                                                            </div>
                                                            <div class="form-group col-12 col-lg-4">
                                                                <label for="version_update_msg">Version Update Message</label>
                                                                <input type="text" id="version_update_msg" name="version_update_msg" class="form-control" value="<?php echo $purple_version_data['version_update_msg']; ?>"/>
                                                            </div>
                                                            <div class="form-group col-12 col-lg-2">
                                                                <div class="d-vertical-center mt-4">
                                                                    <label class="mb-0 mr-2">Version Check</label>
                                                                    <div class="square-switch float-right">
                                                                        <input type="checkbox" name="version_check" id="version_check" switch="bool" <?php echo $purple_version_data['version_check'] == 'true' ? 'checked' : '' ?>/>
                                                                        <label for="version_check" data-on-label="Yes" data-off-label="No"></label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group col-12 col-lg-2">
                                                                <div class="d-vertical-center mt-4">
                                                                    <label class="mb-0 mr-2">Force Update</label>
                                                                    <div class="square-switch float-right">
                                                                        <input type="checkbox" name="version_force_update" id="version_force_update" switch="bool" <?php echo $purple_version_data['version_force_update'] == 'true' ? 'checked' : '' ?>/>
                                                                        <label for="version_force_update" data-on-label="Yes" data-off-label="No"></label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <hr class="mt-0" />
                                                        <button class="btn btn-primary" name="post_app_version" type="submit">
                                                            Update
                                                        </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-12 col-md-4">
                                            <div class="card">
                                                <div class="card-body">
                                                    <h5 class="card-title">Add Version Changelog</h5>
                                                    <hr class="mt-0" />
                                                    <form method="POST" id="post_version_change">
                                                        <div class="form-row">
                                                            <div class="form-group col-12">
                                                                <label for="changelog_title">Title</label>
                                                                <input type="text" id="changelog_title" name="changelog_title" class="form-control"/>
                                                            </div>
                                                            <div class="form-group col-12">
                                                                <label for="shortDesc">Short Description</label>
                                                                <textarea name="changelog_description" id="changelog_description" rows="5" class="form-control"></textarea>
                                                            </div>
                                                            <hr class="my-0" />
                                                        </div>
                                                        <div class="text-center">
                                                            <button class="btn btn-primary" name="post_version_change" type="submit">
                                                                Send
                                                            </button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12 col-md-8">
                                            <div class="card">
                                                <div class="card-body">
                                                    <h5 class="card-title">Version Changelog</h5>
                                                    <hr class="mt-0" />
                                                    <div class="table-responsive no-padding">
                                                        <table id="datatable" class="table dt-responsive table-striped table-bordered nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                            <thead>
                                                                <tr>
                                                                    <th hidden>#</th>
                                                                    <th>Title</th>
                                                                    <th>Short Description</th>
                                                                    <th>Actions</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php while ($row = $purple_version_changelog_data->fetchArray()) { ?>
                                                                    <tr>
                                                                        <td hidden><?php echo $row['id']; ?></td>
                                                                        <td><?php echo $row['changelog_title']; ?></td>
                                                                        <td><?php echo $row['changelog_description']; ?></td>
                                                                        <td>
                                                                            <button type="button" data-toggle="modal" class="edit-button btn-sm btn-primary waves-effect waves-light"><i class="dripicons-document-edit"></i></button>
                                                                            <button type="button" data-toggle="modal" data-target="#delete_modal" class="delete-button btn-sm btn-danger waves-effect waves-light"><i class="dripicons-document-delete"></i></button>
                                                                        </td>
                                                                    </tr>
                                                                <?php } ?>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="modal fade" id="delete_modal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header border-bottom-0">
                                                        <h5 class="modal-title" id="deleteModalLabel">Delete Changelog</h5>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span class="text-danger" aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <form method="POST">
                                                        <div class="modal-body">
                                                            <div class="form-group" hidden>
                                                                <input type="text" class="form-control" id="delete_id" name="delete_id">
                                                            </div>
                                                            <h3 class="text-center mt-4">Are you sure?</h3>
                                                        </div>
                                                        <div class="modal-footer text-center mt-4">
                                                            <button type="submit" name="delete_dns" class="btn-sm btn-danger">Delete</button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        <script>
                                            $(function() {
                                                $(".edit-button").on('click', function() {
                                                    var currentRow = $(this).closest("tr");
                                                    var id = currentRow.find("td:eq(0)").text();
                                                    var changelog_title = currentRow.find("td:eq(1)").text();
                                                    var changelog_description = currentRow.find("td:eq(2)").text();
                                                    $("#id").val(id);
                                                    $("#changelog_title").val(changelog_title);
                                                    $("#changelog_description").val(changelog_description);
                                                });
                                                $(".delete-button").on('click', function() {
                                                    var currentRow = $(this).closest("tr");
                                                    var id = currentRow.find("td:eq(0)").text();
                                                    $("#delete_id").val(id);
                                                });
                                            });
                                        </script>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </div>
            </div>

        </div>

    </div>

    <?php include('assets/includes/footer.php'); ?>
    </div>

    </div>

    <?php include('assets/includes/right-sidebar.php'); ?>

    <?php include('assets/includes/vendor-scripts.php'); ?>

    <script src="./assets/js/app.js"></script>

</body>

</html>