<?php
session_start();

include('assets/includes/db.php');
include('assets/includes/config.php');

if($_ERRORS == true){
    error_reporting(E_ALL);
    ini_set('display_errors', 1);
}

if (!isset($_SESSION['loggedin']) && $_SESSION['loggedin'] != true) {
    header("location: logout.php");
}
if (isset($_POST['post_vpn'])) {
    $sql = 'UPDATE purple_api_key SET ';
    $sql .= 'vpn_url = "' . $_POST['vpn_url'] . '", ';
    $sql .= 'vpn_username = "' . $_POST['vpn_username'] . '", ';
    $sql .= 'vpn_password = "' . $_POST['vpn_password'] . '";';
    $sqlite3->exec($sql);

    header('Location: purple_vpn.php');
}

?>
<!doctype html>
<html lang="en">

<head>

    <?php include('assets/includes/title-meta.php') ?>

    <?php include('assets/includes/head-css.php') ?>

</head>

<body data-sidebar="dark">

    <!-- Loader -->
    <div id="preloader">
        <div id="status">
            <div class="spinner">
                <i class="ri-loader-line spin-icon"></i>
            </div>
        </div>
    </div>

    <div id="layout-wrapper">

        <?php include('assets/includes/topbar.php') ?>

        <?php include('assets/includes/sidebar.php') ?>

        <div class="main-content">

            <div class="page-content">
                <div class="container-fluid">

                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box d-flex align-items-center justify-content-between">
                                <h4 class="mb-0"> </h4>

                                <div class="page-title-right">
                                    <ol class="breadcrumb m-0">
                                        <li class="breadcrumb-item"><a href="javascript: void(0);">IPTV Purple Player</a></li>
                                        <li class="breadcrumb-item active">VPN</li>
                                    </ol>
                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-body">

                                    <div class="row">
                                        <div class="col-12 col-md-4">
                                            <div class="card">
                                                <div class="card-body">
                                                    <h5 class="card-title">VPN</h5>
                                                    <hr class="mt-0" />
                                                    <form method="POST" id="post_vpn">
                                                        <div class="form-group">
                                                            <label for="vpn_url">VPN List URL</label>
                                                            <input type="text" id="vpn_url" name="vpn_url" class="form-control" value="<?php echo $purple_api_key_data['vpn_url']; ?>" />
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="vpn_username">VPN Username</label>
                                                            <input type="text" id="vpn_username" name="vpn_username" class="form-control" value="<?php echo $purple_api_key_data['vpn_username']; ?>" />
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="vpn_password">VPN Password</label>
                                                            <input type="text" id="vpn_password" name="vpn_password" class="form-control" value="<?php echo $purple_api_key_data['vpn_password']; ?>" />
                                                        </div>
                                                        <button type="submit" name="post_vpn" class="btn btn-primary">
                                                            Save
                                                        </button>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

        </div>

    </div>


        <?php include('assets/includes/footer.php'); ?>
    </body>

</div>

<?php include('assets/includes/right-sidebar.php'); ?>

<?php include('assets/includes/vendor-scripts.php'); ?>

<script src="./assets/js/app.js"></script>

</body>

</html>